import React from 'react'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import './termsView.scss'

interface MinorUpdateContentProps {
  toggleLegalNoticeModal: () => void
}

const MinorUpdateContent = ({
  toggleLegalNoticeModal,
}: MinorUpdateContentProps) => {
  const { t } = useI18n()
  return (
    <div className="dataShare-content-root">
      <div className="dataShare-content-wrapper">
        <h1 className="dataShare-content-title text-22-normal">
          {t('minorUpdate.title')}
        </h1>
      </div>
    </div>
  )
}

export default MinorUpdateContent
